Skip to main content
GET
/
data
/
projects
/
{projectId}
/
catalog
/
{catalogId}
/
schema
/
{schemaName}
/
cache
/
status
Get All Cache Statuses of a Schema
curl --request GET \
  --url https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalog/{catalogId}/schema/{schemaName}/cache/status \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "status": "RUNNING",
    "catalogId": "<string>",
    "schemaName": "<string>",
    "tableName": "<string>",
    "lastIncrementalCacheExecution": {
      "id": "<string>",
      "executionMode": "<string>",
      "status": "<string>",
      "error": {},
      "progress": {
        "numberOfCachedRecords": 123,
        "numberOfInsertedRecords": 123,
        "numberOfUpdatedRecords": 123,
        "numberOfDeletedRecords": 123,
        "lastOffset": "<string>",
        "lastCacheTxId": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "finishedAt": "2023-11-07T05:31:56Z"
    },
    "lastFullRefreshCacheExecution": {
      "id": "<string>",
      "executionMode": "<string>",
      "status": "<string>",
      "error": {},
      "progress": {
        "numberOfCachedRecords": 123,
        "numberOfInsertedRecords": 123,
        "numberOfUpdatedRecords": 123,
        "numberOfDeletedRecords": 123,
        "lastOffset": "<string>",
        "lastCacheTxId": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "finishedAt": "2023-11-07T05:31:56Z"
    },
    "cacheActionLogs": [
      {
        "timestamp": "2023-11-07T05:31:56Z",
        "action": "<string>",
        "message": "<string>",
        "cacheType": "<string>",
        "isScheduled": true
      }
    ],
    "projectId": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.peaka.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required

The unique identifier of the project that owns the catalog

catalogId
string
required

The unique identifier of the catalog (data source connection) that owns the schema

schemaName
string
required

The name of the schema to filter caches by

Response

200 - */*

List of cache statuses for all caches in the schema. Returns an empty array if no caches exist for this schema.

id
string

The ID of the cache.

status
enum<string>

The status of the cache. RUNNING, CANCELLED, FAILED, COMPLETED, DELETED, NOT_INITIALIZED

Available options:
RUNNING,
CANCELLED,
FAILED,
COMPLETED,
DELETED,
NOT_INITIALIZED
catalogId
string

The ID of the catalog that the cache belongs to.

schemaName
string

The name of the schema that the cache belongs to.

tableName
string

The name of the table that the cache belongs to.

lastIncrementalCacheExecution
object
lastFullRefreshCacheExecution
object
cacheActionLogs
object[]

The list of cache action logs

projectId
string

The ID of the project that the cache belongs to.